RanglerDeveloper
API referenceEndpointsConnect
POST
/v1/connect/link-tokens

Authorization

RanglerApiKey
X-API-Key<token>

In: header

Header Parameters

Idempotency-Key?|

Unique key for safely replaying the same link-token request. Reuse it only with the same request body.

Lengthlength <= 180

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://api.rangler.co/v1/connect/link-tokens" \  -H "Content-Type: application/json" \  -d '{    "client_user_id": "string",    "allowed_origins": [      "string"    ]  }'
{
  "link_token": "string",
  "link_token_id": "4787acbc-11cf-4db3-998c-5ea7c4feebcd",
  "expiration": "2019-08-24T14:15:22Z",
  "request_id": "string"
}
{
  "error": {
    "type": "unauthorized",
    "code": "unauthorized",
    "message": "Authentication required.",
    "request_id": "28fa6152-7081-492e-8a7e-00beb237b689"
  }
}
{
  "error": {
    "type": "forbidden",
    "code": "forbidden",
    "message": "Paid access is required.",
    "request_id": "5c253b3e-778e-4a58-aaf8-07cb21e03563"
  }
}
{
  "error": {
    "type": "validation_error",
    "code": "validation_error",
    "message": "Request validation failed",
    "request_id": "c5964dca-d290-4465-a3dc-f92d42aa9b17",
    "details": [
      {
        "type": "missing",
        "loc": [
          "query",
          "ticker"
        ],
        "msg": "Field required",
        "input": null
      }
    ]
  }
}
{
  "error": {
    "type": "rate_limit_exceeded",
    "code": "rate_limit_exceeded",
    "message": "Rate limit exceeded",
    "request_id": "cc4d369a-2c69-4ee2-909e-985ea35d14a9"
  }
}
{
  "error": {
    "type": "internal_server_error",
    "code": "internal_server_error",
    "message": "Internal Server Error",
    "request_id": "70b63aba-b8a3-41c2-bb0c-fbe67d84d37d"
  }
}